Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.distance.pnorm_w

`mvpa2.clfs.distance.``pnorm_w`(data1, data2=None, weight=None, p=2)

  Weighted p-norm between two datasets (scipy.weave implementation)

  ||x - x’||_w = (sum_{i=1...N} (w_i*|x_i - x’_i|)**p)**(1/p)

  Parameters:

  data1 : np.ndarray

  > First dataset

  data2 : np.ndarray or None

  > Optional second dataset

  weight : np.ndarray or None

  > Optional weights per 2nd dimension (features)

  p :

  > Power

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »